petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecRestoreSubVector

Restores a subvector extracted using VecGetSubVector()

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecRestoreSubVector(Vec X,IS is,Vec *Y)

Collective on IS (and Vec if nonlocal entries need to be written)

### Input Arguments

| X | - vector from which subvector was obtained
| is | - index set representing the subset of X
| Y | - subvector being restored

### See Also

VecGetSubVector()

Level:advanced
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex70.c.html